OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.DepthBoundsTest

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTDepthBoundsTest :: MonadIO m => m Bool
- gl_EXT_depth_bounds_test :: Bool
- pattern GL_DEPTH_BOUNDS_EXT :: GLenum
- pattern GL_DEPTH_BOUNDS_TEST_EXT :: GLenum
- glDepthBoundsEXT :: MonadIO m => GLclampd -> GLclampd -> m ()

# Extension Support

glGetEXTDepthBoundsTest :: MonadIO m => m Bool Source #

Is the EXT_depth_bounds_test extension supported?

gl_EXT_depth_bounds_test :: Bool Source #

Is the EXT_depth_bounds_test extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDepthBoundsTest` in those cases instead.

# Enums

pattern GL_DEPTH_BOUNDS_EXT :: GLenum Source #

pattern GL_DEPTH_BOUNDS_TEST_EXT :: GLenum Source #

# Functions

glDepthBoundsEXT Source #

Arguments

:: MonadIO m |
=> GLclampd | `zmin` of type `ClampedFloat64`.
-> GLclampd | `zmax` of type `ClampedFloat64`.
-> m () |